
<?php
   // session_start();
    include_once('../config/conn/db-connection.php');
    include_once('../config/class/sap_model.php');
    $SAP = new SAP_infosytem();

        if(ISSET($_POST)){

               $purpose = trim($_POST['purpose']);
               $status = "Disapprove";
               $recordedBy = trim($_POST['recordedBy']);
               $full_name = trim($_POST['full_name']);
               $sapform_id = trim($_POST['sapform_id']);


              // ==========audit trail==================
              //$user = trim($_POST['user']);
               if(!empty($_SERVER["HTTP_CLIENT_IP"])){
                     $ip = $_SERVER["HTTP_CLIENT_IP"];
                  }elseif(!empty($_SERVER["HTTP_X_FORWARDED_FOR"])){ 
                     $ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
                  }else{
                     $ip = $_SERVER["REMOTE_ADDR"];
                }
               $host = gethostbyaddr($_SERVER['REMOTE_ADDR']);
               date_default_timezone_set("asia/manila");
               $logdate =  date('M-d-Y h:i A', strtotime("+0 HOURS"));
               $action = "'Zone Leader' does not Approve '".ucfirst($full_name)."'";    
            // ==========end audit trail==============

               $SAP->disapprove_sapform($purpose,  $status, $sapform_id, $recordedBy, $ip, $host,  $logdate, $action);
                  echo '<script type="text/javascript">';
                  echo 'setTimeout(function () { swal("Disapprove SAP Form Successfully!","Message!","success");';
                  echo '}, 1000);</script>';
                  echo '<script type="text/javascript">';
                  echo 'setTimeout(function(){';
                  echo 'window.location = "/SAP_Information_System/Zoneleader/dashboard.php"';
                  echo '},1000)';
                  echo '</script>';
             
        }
?>